hpp-corbaserver: hpp.corbaserver.benchmark.Benchmark Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
hpp.corbaserver.benchmark.Benchmark Class Reference

## Public Member Functions
def | __init__ (self, client, robot, problemSolver)
def | do (self, initCase=lambda this, case, None iter)
def | getCase (self, iter)
def | writeResume (self, filename=None)
def | tryResumeAndDelete (self, filename=None)
def | resumeFrom (self, fname)
def | plotTime (self, axes)
def | plotPathLength (self, axes)
def | writeDatabase (self, nameDatabase, experimentName="default", nameLogFile="temp.log", append=False)
def | __str__ (self)

## Public Attributes
| seedRange
| cases
| iterPerCase
| client
| robot
| ps
| current
| results

## Static Public Attributes
| toSeconds = np.array([60 * 60, 60, 1, 1e-3])
string | crashFile = "/tmp/resume.hpp.corbaserver.benchmark.pickle"

## Constructor & Destructor Documentation

## ◆ __init__()

def hpp.corbaserver.benchmark.Benchmark.__init__ | ( |  | self,
|  |  | client,
|  |  | robot,
|  |  | problemSolver
| ) |  |

## Member Function Documentation

## ◆ __str__()

def hpp.corbaserver.benchmark.Benchmark.__str__ | ( |  | self | ) |

## ◆ do()

def hpp.corbaserver.benchmark.Benchmark.do | ( |  | self,
|  |  | initCase = `lambda this`,
|  |  | case,
|  | None | iter
| ) |  |

## ◆ getCase()

def hpp.corbaserver.benchmark.Benchmark.getCase | ( |  | self,
|  |  | iter
| ) |  |

## ◆ plotPathLength()

def hpp.corbaserver.benchmark.Benchmark.plotPathLength | ( |  | self,
|  |  | axes
| ) |  |

## ◆ plotTime()

def hpp.corbaserver.benchmark.Benchmark.plotTime | ( |  | self,
|  |  | axes
| ) |  |

## ◆ resumeFrom()

def hpp.corbaserver.benchmark.Benchmark.resumeFrom | ( |  | self,
|  |  | fname
| ) |  |

## ◆ tryResumeAndDelete()

def hpp.corbaserver.benchmark.Benchmark.tryResumeAndDelete | ( |  | self,
|  |  | filename = `None`
| ) |  |

## ◆ writeDatabase()

def hpp.corbaserver.benchmark.Benchmark.writeDatabase | ( |  | self,
|  |  | nameDatabase,
|  |  | experimentName = `"default"`,
|  |  | nameLogFile = `"temp.log"`,
|  |  | append = `False`
| ) |  |

## ◆ writeResume()

def hpp.corbaserver.benchmark.Benchmark.writeResume | ( |  | self,
|  |  | filename = `None`
| ) |  |

## Member Data Documentation

## ◆ cases

hpp.corbaserver.benchmark.Benchmark.cases

## ◆ client

hpp.corbaserver.benchmark.Benchmark.client

## ◆ crashFile

string hpp.corbaserver.benchmark.Benchmark.crashFile = "/tmp/resume.hpp.corbaserver.benchmark.pickle"
| static

## ◆ current

hpp.corbaserver.benchmark.Benchmark.current

## ◆ iterPerCase

hpp.corbaserver.benchmark.Benchmark.iterPerCase

## ◆ ps

hpp.corbaserver.benchmark.Benchmark.ps

## ◆ results

hpp.corbaserver.benchmark.Benchmark.results

## ◆ robot

hpp.corbaserver.benchmark.Benchmark.robot

## ◆ seedRange

hpp.corbaserver.benchmark.Benchmark.seedRange

## ◆ toSeconds

hpp.corbaserver.benchmark.Benchmark.toSeconds = np.array([60 * 60, 60, 1, 1e-3])
| static

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/benchmark.py